<?php




namespace ln\jobs;

use app\common\repositories\store\GuaranteeRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class GauaranteeCountJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(GuaranteeRepository::class)->countGuarantee();
        $job->delete();
        }catch (\Exception $exception){
            Log::info($exception->getMessage());
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
